use crate::{SortMessage, SortVisualizer};

pub fn sort(vis: &mut SortVisualizer) {
	let n = vis.arr.len();

	for i in 0..n {
		for j in 0..n - i - 1 {
			if vis.arr[j] > vis.arr[j + 1] {
				vis.arr.swap(j, j + 1);
				vis.tx.send(SortMessage::Data(vis.arr.clone())).unwrap();
			}
		}
	}

	vis.tx.send(SortMessage::Done).unwrap();
}
